High-Level Data Reduction Library: HDRL parameter - interpolation method

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
HDRL parameter - interpolation method
Resample 2D/3D images/cubes

HDRL parameter controlling the interpolation method. More...

Collaboration diagram for HDRL parameter - interpolation method:

## Functions
hdrl_parameter * | hdrl_resample_parameter_create_renka (const int loop_distance, cpl_boolean use_errorweights, const double critical_radius)
| Creates a resample renka hdrl parameter object. The algorithm uses a modified Shepard-like distance weighting function following Renka for the interpolation.
hdrl_parameter * | hdrl_resample_parameter_create_linear (const int loop_distance, cpl_boolean use_errorweights)
| Creates a resample linear hdrl parameter object. The algorithm uses a linear inverse distance weighting function for the interpolation.
hdrl_parameter * | hdrl_resample_parameter_create_quadratic (const int loop_distance, cpl_boolean use_errorweights)
| Creates a resample quadratic hdrl parameter object. The algorithm uses a quadratic inverse distance weighting function for the interpolation.
hdrl_parameter * | hdrl_resample_parameter_create_nearest (void)
| Creates a resample nearest neighbor hdrl parameter object. The algorithm does not use any weighting functions but the nearest neighbor inside a voxel for the "interpolation". If there is no nearest neighbor inside the voxel but only outside, the voxel is marked as bad.
hdrl_parameter * | hdrl_resample_parameter_create_lanczos (const int loop_distance, cpl_boolean use_errorweights, const int kernel_size)
| Creates a resample Lanczos hdrl parameter object. The algorithm uses a restricted SINC distance weighting function for the interpolation.
hdrl_parameter * | hdrl_resample_parameter_create_drizzle (const int loop_distance, cpl_boolean use_errorweights, const double pix_frac_x, const double pix_frac_y, const double pix_frac_lambda)
| Creates a resample drizzle hdrl parameter object. The algorithm uses a drizzle-like distance weighting function for the interpolation.
cpl_error_code | hdrl_resample_parameter_method_verify (const hdrl_parameter *hp)
| verify parameters have proper values
int | hdrl_resample_parameter_method_check (const hdrl_parameter *self)
| check method is of proper type

## Detailed Description

HDRL parameter controlling the interpolation method.

The parameter controlling the interpolation method is

- hdrl_resample_parameter_create_nearest(), or
- hdrl_resample_parameter_create_renka(), or
- hdrl_resample_parameter_create_linear(), or
- hdrl_resample_parameter_create_quadratic(), or
- hdrl_resample_parameter_create_drizzle(), or
- hdrl_resample_parameter_create_lanczos()

depending on the interpolation method one would like to use.

## Function Documentation

## ◆ hdrl_resample_parameter_create_drizzle()

hdrl_parameter * hdrl_resample_parameter_create_drizzle | ( | const int | loop_distance,
|  | cpl_boolean | use_errorweights,
|  | const double | pix_frac_x,
|  | const double | pix_frac_y,
|  | const double | pix_frac_lambda
| ) |  |

Creates a resample drizzle hdrl parameter object. The algorithm uses a drizzle-like distance weighting function for the interpolation.

Parameters

  loop_distance | loop distance to take into account surrounding pixels when interpolating on the final grid [pixel]
  use_errorweights | use additional weights based on 1/err^2 when interpolating [TRUE/FALSE]
  pix_frac_x | pixfrac-scaled input pixel size in x direction [pixel]
  pix_frac_y | pixfrac-scaled input pixel size in y direction [pixel]
  pix_frac_lambda | pixfrac-scaled input pixel size in wavelength direction [pixel]

Note
  in general a pixel is a voxel

Returns
  The hdrl parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_lanczos()

hdrl_parameter * hdrl_resample_parameter_create_lanczos | ( | const int | loop_distance,
|  | cpl_boolean | use_errorweights,
|  | const int | kernel_size
| ) |  |

Creates a resample Lanczos hdrl parameter object. The algorithm uses a restricted SINC distance weighting function for the interpolation.

Parameters

  loop_distance | loop distance to take into account surrounding pixels when interpolating on the final grid [pixel]
  use_errorweights | use additional weights based on 1/err^2 when interpolating [TRUE/FALSE]
  kernel_size | kernel size of the sinc() function [pixel]

Note
  in general a pixel is a voxel

Returns
  The hdrl parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_linear()

hdrl_parameter * hdrl_resample_parameter_create_linear | ( | const int | loop_distance,
|  | cpl_boolean | use_errorweights
| ) |  |

Creates a resample linear hdrl parameter object. The algorithm uses a linear inverse distance weighting function for the interpolation.

Parameters

  loop_distance | loop distance to take into account surrounding pixels when interpolating on the final grid [pixel]
  use_errorweights | use additional weights based on 1/err^2 when interpolating [TRUE/FALSE]

Note
  in general a pixel is a voxel

Returns
  The hdrl parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_nearest()

hdrl_parameter * hdrl_resample_parameter_create_nearest | ( | void |  | ) |

Creates a resample nearest neighbor hdrl parameter object. The algorithm does not use any weighting functions but the nearest neighbor inside a voxel for the "interpolation". If there is no nearest neighbor inside the voxel but only outside, the voxel is marked as bad.

Returns
  The hdrl parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_quadratic()

hdrl_parameter * hdrl_resample_parameter_create_quadratic | ( | const int | loop_distance,
|  | cpl_boolean | use_errorweights
| ) |  |

Creates a resample quadratic hdrl parameter object. The algorithm uses a quadratic inverse distance weighting function for the interpolation.

Parameters

  loop_distance | loop distance to take into account surrounding pixels when interpolating on the final grid [pixel]
  use_errorweights | use additional weights based on 1/err^2 when interpolating [TRUE/FALSE]

Note
  in general a pixel is a voxel

Returns
  The hdrl parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_renka()

hdrl_parameter * hdrl_resample_parameter_create_renka | ( | const int | loop_distance,
|  | cpl_boolean | use_errorweights,
|  | const double | critical_radius
| ) |  |

Creates a resample renka hdrl parameter object. The algorithm uses a modified Shepard-like distance weighting function following Renka for the interpolation.

Parameters

  loop_distance | loop distance to take into account surrounding pixels when interpolating on the final grid [pixel]
  use_errorweights | use additional weights based on 1/err^2 when interpolating [TRUE/FALSE]
  critical_radius | critical radius beyond which the weight function returns 0 [pixel]

Note
  in general a pixel is a voxel

Returns
  The hdrl parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_method_check()

int hdrl_resample_parameter_method_check | ( | const hdrl_parameter * | self | ) |

check method is of proper type

Parameters

  self | hdrl_parameter

Returns
  cpl_error_code

## ◆ hdrl_resample_parameter_method_verify()

cpl_error_code hdrl_resample_parameter_method_verify | ( | const hdrl_parameter * | hp | ) |

verify parameters have proper values

Parameters

  hp | hdrl_parameter

Returns
  cpl_error_code